RUDOF(1)

NAME
rudof shex - Show information about ShEx schemas

SYNOPSIS
rudof shex [OPTIONS] --schema <INPUT>

DESCRIPTION
Show information about ShEx schemas

OPTIONS

-s, --schema <INPUT>
    Schema, FILE, URI or - for stdin

-f, --format <FORMAT>
    Schema format (ShExC, ShExJ, Turtle, ...), default = ShExC [default: shexc] [possible values: internal, simple, shexc, shexj, json, jsonld, turtle, ntriples, rdfxml, trig, n3, nquads]

-r, --result-format <FORMAT>
    Result schema format [default: shexj] [possible values: internal, simple, shexc, shexj, json, jsonld, turtle, ntriples, rdfxml, trig, n3, nquads]

-l, --shape-label <LABEL>
    shape label

-t, --show-time <BOOL>
    Show processing time [possible values: true, false]

--show-schema

--no-show-schema

--statistics <BOOL>
    Show statistics about the schema [possible values: true, false]

-b, --base <IRI>
    Base IRI

--reader-mode <MODE>
    RDF Reader mode (strict or lax) [default: strict] [possible values: lax, strict]

--show-dependencies <BOOL>
    Show dependencies between shapes [possible values: true, false]

--compile-to <FILE>
    Compile the ShEx schema and write the precompiled SchemaIR cache to FILE.

-c, --config-file <FILE>
    Config file name

-o, --output-file <FILE>
    Output file name, default = terminal

--force-overwrite
    Force overwrite to output file if it already exists

-h, --help
    Print help